Gtk_AspectFrame(3)

NAME - Gtk_AspectFrame

HEADER REQUIRED
#include <gtk--/aspectframe.h&gt;>

BASE CLASSES
Gtk_Frame(3)

PROPERTIES

xalign
    Type: gfloat

yalign
    Type: gfloat

ratio
    Type: gfloat

obey_child
    Type: gint

center_allocation
    Type: GtkAllocation

     .IP

PUBLIC MEMBER INDEX
    Gtk_AspectFrame(const string &label, gfloat xalign, gfloat yalign, gfloat ratio, gint obey_child);
    Gtk_AspectFrame(GtkAspectFrame *castitem);
    void  set(gfloat xalign, gfloat yalign, gfloat ratio, gint obey_child);
    GtkAspectFrame*  gtkobj();
    const GtkAspectFrame*  gtkobj() const;
    static bool  isGtkAspectFrame(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkAspectFrame  BaseObjectType;
    typedef GtkAspectFrameClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  aspect_frame_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS